import os
import re
from lxml import etree
from inventory_provider import config
import inventory_provider

TEST_DATA_DIRNAME = os.path.realpath(os.path.join(
    inventory_provider.__path__[0],
    "..",
    "test",
    "data"))


def pytest_generate_tests(metafunc):
    filename = os.path.join(TEST_DATA_DIRNAME, "junosspace-devices.xml")
    with open(filename) as f:
        doc = etree.fromstring(f.read().encode('utf-8'))
        routers = []
        for name in doc.xpath('//devices/device/name/text()'):
            m = re.match('^(mx[1|2].*)\.re0', name)
            if m:
                routers.append({'hostname': m.group(1) + '.geant.net'})
        metafunc.parametrize(
            "router",
            list([r['hostname'] for r in routers]))
